package com.zd.chemical.mapper;

import java.util.List;
import java.util.Map;

import com.zd.chemical.domain.HxpSmartTerminal;
import com.zd.chemical.domain.vo.HxpSmartTerminalSearch;
import com.zd.chemical.domain.vo.HxpSmartTerminalVo;
import org.apache.ibatis.annotations.Param;

/**
 *  化学品设备管理Mapper接口
 *
 * @author liubo
 * @date 2022-06-16
 */
public interface HxpSmartTerminalMapper
{
    /**
     * 查询 化学品设备管理
     *
     * @param id  化学品设备管理主键
     * @return  化学品设备管理
     */
    HxpSmartTerminal selectHxpSmartTerminalById(Long id);

    /**
     * 查询 化学品设备管理列表
     *
     * @param hxpSmartTerminalSearch  化学品设备管理
     * @return  化学品设备管理集合
     */
    List<HxpSmartTerminalVo> selectHxpSmartTerminalList(HxpSmartTerminalSearch hxpSmartTerminalSearch);

    /**
     * 新增 化学品设备管理
     *
     * @param hxpSmartTerminal  化学品设备管理
     * @return 结果
     */
    int insertHxpSmartTerminal(HxpSmartTerminal hxpSmartTerminal);

    /**
     * 修改 化学品设备管理
     *
     * @param hxpSmartTerminal  化学品设备管理
     * @return 结果
     */
    int updateHxpSmartTerminal(HxpSmartTerminal hxpSmartTerminal);

    /**
     * 删除 化学品设备管理
     *
     * @param id  化学品设备管理主键
     * @return 结果
     */
    int deleteHxpSmartTerminalById(Long id);

    /**
     * 批量删除 化学品设备管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteHxpSmartTerminalByIds(Long[] ids);

    Long selectSubIdByTerminalNum(String terminalNum);

    /**
     * 根据IP地址修改设备状态
     * @param ipAddress 设备IP地址
     * @param terminalStatus 设备状态
     * @return int
     */
    int updateStatus(@Param("ipAddress") String ipAddress, @Param("terminalStatus") Integer terminalStatus);

    List<Map<String, Object>> selectTerminalBySubId(@Param("terminalType") Integer terminalType, @Param("subId") Long subId);
}
